GETUser

/user/{user_id}/superior

Gets the superior of the current user

Gets the superior of the current user

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Path Parameters

NameTypeRequiredDescription
user_idintegerYesThe user id, can be 'me' for the current user
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/user/123/superior' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
app.SmallUserapplication/json
Example
{
  "avatar": "string",
  "crafts": [
    {...}
  ],
  "deleted": 123,
  "email": "string",
  "first_name": "string",
  "id": 123,
  "last_name": "string",
  "name": "string"
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}